Docs
Add File Link
POST /Drives/{driveId}/files/{fileId}/links
POST
/Drives/{driveId}/files/{fileId}/linksCreates a public shareable link for a file that gives unauthenticated access through Drives_GetDriveLink and Drives_GetDriveFileLink. The permissions set on the link are stored and returned to viewers, not enforced. Requires File.* (admin) on the file.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| permissions | string[] | Optional |